GET
/event-configurations/{Identifier}#identifierType
http://api.iotwireless.{region}.amazonaws.com/event-configurations/{Identifier}#identifierTypeGet the event configuration for a particular resource identifier.
Access Token Required: API Key
Path Parameters
Identifierstringrequired
Resource identifier to opt in for event messaging.
Query Params
identifierTypestringrequired
Identifier type of the particular resource identifier for event configuration.
Allowed:
partnerTypestring
Partner type of the resource if the identifier type is <code>PartnerAccountId</code>.
Allowed:
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://api.iotwireless.{region}.amazonaws.com/event-configurations/{Identifier}#identifierType' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}